View Issue Details

IDProjectCategoryView StatusLast Update
0023898mantisbtapi restpublic2018-02-06 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.10.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023898: Some relationships are not formatted correctly in GET issue rest API
Description

There are a set of relationships where the issue being retrieved is the source and another set where the issue being retrieved is the destination. The latter was not formatted correctly.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 843c450d

2018-01-27 15:48:19

vboctor

Details Diff
Fix relationship formating and localization in REST

- Issue type name shouldn’t be localized.
- Add issue type label with localized name.
- Relationships where issue is destination were not formatted correctly.

Fixes 0023898, 23899
Affected Issues
0023898
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2018-01-27 15:44 vboctor New Issue
2018-01-27 15:44 vboctor Status new => assigned
2018-01-27 15:44 vboctor Assigned To => vboctor
2018-01-28 14:01 vboctor Changeset attached => MantisBT master 843c450d
2018-01-28 14:01 vboctor Status assigned => resolved
2018-01-28 14:01 vboctor Resolution open => fixed
2018-01-28 14:01 vboctor Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed